Bug 587882 - empty result on search vs yum
empty result on search vs yum
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 06:29 EDT by Pascal Parois
Modified: 2010-07-13 06:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 06:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pascal Parois 2010-05-01 06:29:46 EDT
Description of problem:

I searched "screenshot" in gpk-application, result: none
My system is in french

I search "screenshot" in yum (yum search screenshot)
shutter.noarch : GTK+ 2.0 screenshot application written in perl
xfce4-screenshooter.x86_64 : Screenshot utility for the Xfce desktop
xfce4-screenshooter-plugin.x86_64 : Screenshot utility for the Xfce panel
adanaxisgpl.x86_64 : Action game in four spatial dimensions
amora.x86_64 : A mobile remote assistant
gnome-utils.x86_64 : GNOME utility programs
gnome-web-photo.x86_64 : HTML pages thumbnailer
libQGLViewer.i686 : Qt based OpenGL generic 3D viewer library
libQGLViewer.x86_64 : Qt based OpenGL generic 3D viewer library
vnstat.x86_64 : Console-based network traffic monitor

Version-Release number of selected component (if applicable):
 gpk-application 2.30.1

How reproducible:
always

Steps to Reproduce:
1. Open Add/remove software from the menu
2. Search for screenshot, no result
3. do the same thing with yum, usefull results
  
Actual results:
none

Expected results:
List of application matching the criteria

Additional info:
My system is in french and I am using an english word for a search (not ideal). I tried some other words (french and or english) but I can't come with the result gnome-utils or xfce4-screenshooter.

I can find the package using its rpm name: gnome-utils (useless). The word screenshot is in the comment. The package should come up in the list.
Comment 1 Richard Hughes 2010-05-03 10:47:12 EDT
If you click on the search icon to the left of the search term, are you using search by _description_ or by _name_?
Comment 2 Pascal Parois 2010-05-03 12:07:50 EDT
I did not know that this icon can specify where to search. I will check tonight.

Maybe a better visibility is needed?
Comment 3 Pascal Parois 2010-05-03 15:34:37 EDT
By clicking on the small thing, I choose "description" and everything is fine.

I looked into the filter menu but never thought about the icon.
Comment 4 Valent Turkovic 2010-07-05 05:00:01 EDT
I saw empty search results numerous times, it doesn't matter what options you have setup in gnome-packagekit, just that you use search for first time you started your laptop.

Second time you use search in gnome-packagekit it works great.

Is this the same bug or should I open a new bug?
Comment 5 Valent Turkovic 2010-07-05 05:23:03 EDT
I also clicked on "Newest packages" and I see empty list.

After that I click on some other list, and click back on "Newest packages" and only then I see the message "Querying" appear and after a few seconds I see list of packages.

This is the same issue as with search, first time I enter anything to search nothing happens, only second time I see gnome-packagekit to start search and then display results.

I have saw this bug on multiple machines, why is this happening?

Most novice users don't even try second time, just close add/remove programs after it fails in search.
Comment 6 Valent Turkovic 2010-07-05 05:32:36 EDT
Now I oppened gnome-packagekit again and clicked on "GNOME desktop", gpk starts with message "Starting" then "Querying" then displays the list, but then a second later list dissapears?!? I'll record this to show you.

This is all with gpk-application 2.28.3 on Fedora 12.
Comment 7 Richard Hughes 2010-07-13 06:48:43 EDT
(In reply to comment #3)
> By clicking on the small thing, I choose "description" and everything is fine.

Cool. The bug was gpk-application was ignoring the default search mode. We fixed that quite a wile ago.

Note You need to log in before you can comment on or make changes to this bug.